Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.tabbedpane
Class AbstractTabModel

    java.lang.Object
      echopointng.tabbedpane.AbstractTabModel

All Implemented Interfaces:
  TabModel

Direct Known Subclasses:
  DefaultTabModel

    public abstract class AbstractTabModel

extends java.lang.Object
implements TabModel

`AbstractTabModel` is an abstract base class from which to build a `TabModel`.

Field Summary
`protected ChangeEvent` | `changeEvent` Only one ChangeEvent is needed per model instance since the event's only (read-only) state is the source property.
`protected EventListenerList` | `listenerList` our list of event listeners
`protected TabImageRenderer` | `tabImageRenderer` our TabImageRenderer field

Constructor Summary
`AbstractTabModel()`

Method Summary
`void` | `addChangeListener(ChangeListener listener)` Adds listener as a listener to changes in the model.
`void` | `fireStateChanged()` Notifies all listeners that have registered that the model has changed
`TabImageRenderer` | `getTabImageRenderer()` By default there is no TabImageRenderer
`void` | `removeChangeListener(ChangeListener listener)` Removes listener as a listener to changes in the model.
`void` | `setTabImageRenderer(TabImageRenderer tabImageRenderer)` Sets the TabImageRenderer to be used by this `TabModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface echopointng.tabbedpane.TabModel
`getTabAt, getTabContentAt, indexOfTab, releaseTabAt, size`

Field Detail

### changeEvent

    protected transient ChangeEvent changeEvent

  Only one ChangeEvent is needed per model instance since the event's only (read-only) state is the source property. The source of events generated here is always "this".

### listenerList

    protected EventListenerList listenerList

  our list of event listeners

### tabImageRenderer

    protected TabImageRenderer tabImageRenderer

  our TabImageRenderer field

Constructor Detail

### AbstractTabModel

    public AbstractTabModel()

Method Detail

### addChangeListener

    public void addChangeListener(ChangeListener listener)

  Description copied from interface: `TabModel`
  Adds listener as a listener to changes in the model.

  Specified by:
    `addChangeListener` in interface `TabModel`
  See Also:
    `TabModel.addChangeListener(nextapp.echo2.app.event.ChangeListener)`

### fireStateChanged

    public void fireStateChanged()

  Notifies all listeners that have registered that the model has changed

### getTabImageRenderer

    public TabImageRenderer getTabImageRenderer()

  By default there is no TabImageRenderer

  Specified by:
    `getTabImageRenderer` in interface `TabModel`
  Returns:
    a `TabImageRenderer` or null
  See Also:
    `TabModel.getTabImageRenderer()`

### removeChangeListener

    public void removeChangeListener(ChangeListener listener)

  Description copied from interface: `TabModel`
  Removes listener as a listener to changes in the model.

  Specified by:
    `removeChangeListener` in interface `TabModel`
  See Also:
    `TabModel.removeChangeListener(nextapp.echo2.app.event.ChangeListener)`

### setTabImageRenderer

    public void setTabImageRenderer(TabImageRenderer tabImageRenderer)

  Sets the TabImageRenderer to be used by this `TabModel`

  Parameters:
    `tabImageRenderer` - - the TabImageRenderer to be used by this `TabModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD